Bug 472066 - Review Request: python-distutils-extra - Integrate more support into Python's distutils
Review Request: python-distutils-extra - Integrate more support into Python's...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481241
  Show dependency treegraph
 
Reported: 2008-11-18 11:02 EST by Fabian Affolter
Modified: 2011-08-30 14:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ian: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-11-18 11:02:50 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-distutils-extra.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-distutils-extra-1.91.2-1.fc9.src.rpm

Project URL: https://launchpad.net/python-distutils-extra

Description:
It allows you to easily integrate gettext, themed icons and GNOME
documentation into your build and installation process. 

Koji scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=938072 

rpmlint output:
[fab@laptop024 noarch]$ rpmlint python-*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint python-*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Ian Weller 2009-01-22 18:05:26 EST
I'll review this because it's badly needed to update gwibber.
Comment 2 Ian Weller 2009-01-22 21:43:20 EST
== FULL REVIEW of python-distutils-extra ==

[  OK  ] specfiles match:
  44a5da41e9a439cc18e94cf932eadbab  python-distutils-extra.spec
  44a5da41e9a439cc18e94cf932eadbab  python-distutils-extra-1.91.2-1.fc9.src/python-distutils-extra.spec
[  OK  ] source files match upstream:
  413ebd3e52c45437eaa36d1d9e6912fd  python-distutils-extra_1.91.2.tar.gz
  413ebd3e52c45437eaa36d1d9e6912fd  python-distutils-extra-1.91.2-1.fc9.src/python-distutils-extra_1.91.2.tar.gz
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[FAILED] license field matches the actual license.
  Actual license is GPLv2+ according to debian/copyright
[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[ n/a  ] compiler flags are appropriate.
[  OK  ] %clean is present.
[  OK  ] package builds in mock.
  Scratch builds on Koji:
    dist-f11  task # 1075451  passed
    dist-f10  task # 1075453  passed
    dist-f9   task # 1075470  passed
[  OK  ] package installs properly.
[ n/a  ] debuginfo package looks complete.
[  OK  ] rpmlint is silent. 
[  OK  ] final provides and requires are sane
[ n/a  ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates.
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[ n/a  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[ n/a  ] desktop files valid and installed properly.

-------------------------------------------------
 I approve this package (python-distutils-extra)
-------------------------------------------------

Please make sure you fix the license tag before you import this into CVS.
Comment 3 Fabian Affolter 2009-01-23 02:40:29 EST
Thanks Ian for the review.  I will fix the license tag before the cvs import and clan up the spec a bit.
Comment 4 Fabian Affolter 2009-01-23 02:41:28 EST
New Package CVS Request
=======================
Package Name: python-distutils-extra
Short Description: Integrate more support into Python's distutils
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-01-23 18:19:38 EST
cvs done.
Comment 7 Fedora Update System 2009-01-26 20:46:11 EST
python-distutils-extra-1.91.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-01-26 20:49:55 EST
python-distutils-extra-1.91.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Matt Domsch 2011-08-29 14:01:49 EDT
Fab: would you please branch and build for el6?  openstack-nova needs this.

Thanks,
Matt
Comment 10 Fabian Affolter 2011-08-30 14:34:49 EDT
Package Change Request
======================
Package Name: python-distutils-extra
New Branches: el6
Owners: fab
InitialCC:
Comment 11 Jon Ciesla 2011-08-30 14:57:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.